variables:
  SKIP_YAML_LINIT: 0

'YAML Lint':
  image: $DOCKER_CI_NODE_IMAGE
  extends:
    - .cache
    - .code_quality_default
  script:
    - cd ${DRUPAL_DOCROOT}/core && ./node_modules/.bin/eslint
      --config ./.eslintrc.passing.json
      --no-error-on-unmatched-pattern
      --max-warnings 0
      --ext .yml
      ${FOLDERS_YAML}
  rules:
    - if: '$SKIP_YAML_LINIT == "1"'
      when: never
    - when: on_success
